org.apache.ignite.internal.processors.cache.persistence.wal.crc

## Class IgniteDataIntegrityViolationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.internal.processors.cache.persistence.wal.crc.IgniteDataIntegrityViolationException

All Implemented Interfaces:
  Serializable

    public class IgniteDataIntegrityViolationException
    extends IgniteException

Will be thrown if data integrity violation is found

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteDataIntegrityViolationException()` Default constructor.
`IgniteDataIntegrityViolationException(String msg)`

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteDataIntegrityViolationException

    public IgniteDataIntegrityViolationException()

Default constructor.

#### IgniteDataIntegrityViolationException

    public IgniteDataIntegrityViolationException(String msg)

Parameters:
  `msg` - Message.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021